# DataExchange
TKXCAF
XCAFDoc

# XCAFDoc Class Reference

Definition of general structure of DECAF document
and tools to work with it
.

`#include <XCAFDoc.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_GUID | AssemblyGUID ()
| Returns GUID for UAttribute identifying assembly .
static Standard_EXPORT Standard_GUID | ShapeRefGUID ()
| Returns GUID for TreeNode representing assembly link .
static Standard_EXPORT Standard_GUID | ColorRefGUID (const XCAFDoc_ColorType type)
| Return GUIDs for TreeNode representing specified types of colors .
static Standard_EXPORT Standard_GUID | DimTolRefGUID ()
| Return GUIDs for TreeNode representing specified types of DGT .
static Standard_EXPORT Standard_GUID | DatumRefGUID ()
| Return GUIDs for TreeNode representing specified types of datum .
static Standard_EXPORT Standard_GUID | DatumTolRefGUID ()
| Return GUIDs for TreeNode representing connections Datum-Toler .
static Standard_EXPORT Standard_GUID | LayerRefGUID ()
static Standard_EXPORT Standard_GUID | MaterialRefGUID ()
static Standard_EXPORT Standard_GUID | InvisibleGUID ()
static Standard_EXPORT Standard_GUID | ExternRefGUID ()
| Returns GUID for UAttribute identifying external reference on no-step file .
static Standard_EXPORT Standard_GUID | SHUORefGUID ()
| Returns GUID for UAttribute identifying specified higher usage occurrence .

## Member Function Documentation

static Standard_EXPORT Standard_GUID XCAFDoc::AssemblyGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::ColorRefGUID | ( | const XCAFDoc_ColorType | type | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::DatumRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::DatumTolRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::DimTolRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::ExternRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::InvisibleGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::LayerRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::MaterialRefGUID | ( |  | ) | `[static]`

void XCAFDoc::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFDoc::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFDoc::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_GUID XCAFDoc::ShapeRefGUID | ( |  | ) | `[static]`

static Standard_EXPORT Standard_GUID XCAFDoc::SHUORefGUID | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- XCAFDoc.hxx